Equivalent to Bcount and Tabbed Drawings
Has anyone written a lisp routine similar to Bcount (block count) in AutoCAD, and the Miditab routine that inserts tabs in the workspace that show multiple open drawings (this was an .arx file). I'm not a lisp programmer so when I try to run these under BC, of course there are errors because of the difference in prog language.
Thanks,
Frank
Comments
-
I believe the Miditab routine to which you refer is the 'DocTabs' application: you can find it at https://www.bricsys.com/common/applications/applicationlist.jsp?estore.ApplicationCategory=16
0 -
Thanks for the DocsTab tip, that is exactly what I needed. On the block count item, I know I can check that in drawing explorer, but the bcount command was an easy way to count blocks by grabbing a portion of the drawing and typing in the command.
0 -
Hi Ethan,
If you don't mind trying a small third-party application, you may want to give GeoTools a look. It is a productivity tool for Bricscad (and AutoCAD) that adds over 250+ additional tools for various purposes. Among them is a drawing statistics tool (GT_DWG_STAT) that performs block counts and reports statistics.
Click here for more info:
http://www.4d-technologies.com/geotools/manual/inquiry_tools.htm#DWG_STAT
and for downloads: http://www.coordsys.com/geotools
Regards
Rakesh Rao
Blog: http://rakeshrao.typepad.com0 -
If you only need a count, you can go to the drawing explorer window. Each block listed will give its count. The only drawback is that you cannot export or even copy this information to your clipboard to paste into a table. For that you need a 3rd party application.
Joe Dunfee
0 -
Thank You Joe, that helps. Trying to learn this program after 20 years of using AutoCAD and still run my freelance cad job. I do really like this software.
0 -
Are there any solutions to a Bcount equivalent without going to a third party application? I checked out the GeoTools and it seemed more complex than I was hoping for. I work in at a landscape architecture firm and we use bcount to count shrub blocks in small areas. Counts of all blocks within the file via the drawing explorer window are not helpful for this task.0
-
A Google search for bcount.lsp returns many routines available for free.0
-
Thanks. I found a really great one here:
http://www.cadtutor.net/forum/archive/index.php/t-48790.html0 -
If you don't mind typing the block name, the following command will filter a selection set for blocks with that name.
Then you can read the count in the Properties window.
[code](defun c:QN ()
(princ " filters a selection set for blocks of a specified Name. Select objects to filter: ")
(setq ET "INSERT")
(setq PR (cons 0 ET))
(setq ss1 (ssget (list PR)))
(if ss1 (command "selgrips" ss1 "")
(progn (princ "\n ...none found.") (princ)) )
(command "regen")
(command "selgrips" "p" "")
(princ " Available names: ")
(setq BlkList (vla-get-Blocks (vla-get-activedocument (vlax-get-acad-object))))
(vlax-for Blk1 BlkList (princ (vla-get-Name Blk1)) (princ ", ") )
(setq BL (getstring "\nEnter block name to select:"))
(setq ss1 (ssget '((0 . "INSERT")) ))
(if ss1 (progn (sssetfirst nil ss1)
(setq ss1 (ssget "P" (list (cons 2 BL)) ) )
)
)
(if ss1 (sssetfirst nil ss1)
(progn (princ "\n ...none found.") (princ)) )
(command "regen")
(command "selgrips" "p" "")
)[/code]0 -
Quick Select can select blocks of a given name in a selection set:1. Compose the selection2. Click the QSelect button in the Properties Bar.3. Check the Apply to current selection set option.4. Select Block Reference in the entity type list.5. In the 'Misc' properties group, click the Name field and select the name of the block to be selected.6. Click the Add to new selection set button.The number of selected blocks displays at the top of the Properties Bar.0
-
Roy has a free utility on his site, which also counts nested blocks, and xrefs.
BKG_CountBlocks
Regards,Jason Bourhill
CAD Concepts0